Package org.apache.lucene.util.hnsw

## Interface RandomVectorScorerSupplier

- All Known Subinterfaces:
    `CloseableRandomVectorScorerSupplier`
  All Known Implementing Classes:
    `ScalarQuantizedVectorScorer.ScalarQuantizedRandomVectorScorerSupplier`

      public interface RandomVectorScorerSupplier

  A supplier that creates `RandomVectorScorer` from an ordinal.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RandomVectorScorerSupplier` | `copy()` | Make a copy of the supplier, which will copy the underlying vectorValues so the copy is safe to be used in other threads.
    `RandomVectorScorer` | `scorer​(int ord)` | This creates a `RandomVectorScorer` for scoring random nodes in batches against the given ordinal.

- - ### Method Detail

    - #### scorer

          RandomVectorScorer scorer​(int ord)
                             throws IOException

      This creates a `RandomVectorScorer` for scoring random nodes in batches against the given ordinal.
      Parameters:
        `ord` - the ordinal of the node to compare
      Returns:
        a new `RandomVectorScorer`
      Throws:
        `IOException`

    - #### copy

          RandomVectorScorerSupplier copy()
                                   throws IOException

      Make a copy of the supplier, which will copy the underlying vectorValues so the copy is safe to be used in other threads.
      Throws:
        `IOException`